# lidplugin.h File Reference

`#include <time.h>`

Include dependency graph for lidplugin.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | PluginLID_DialParams
struct | PluginLID_Definition

## Defines

#define | PLUGIN_DLL_API
#define | PWLIB_PLUGIN_API_VERSION 1
#define | PLUGIN_LID_VERSION 1
#define | FALSE 0
#define | TRUE 1
#define | PLUGIN_LID_API_VER_FN PWLibPlugin_GetAPIVersion
#define | PLUGIN_LID_API_VER_FN_STR "PWLibPlugin_GetAPIVersion"
#define | PLUGIN_LID_GET_LIDS_FN OpalPluginLID_GetDefinitions
#define | PLUGIN_LID_GET_LIDS_FN_STR "OpalPluginLID_GetDefinitions"
#define | PLUGIN_LID_IMPLEMENTATION(defs)

## Typedefs

typedef int | PluginLID_Boolean
typedef PluginLID_Definition *(*) | PluginLID_GetDefinitionsFunction (unsigned *, unsigned)

## Enumerations

enum

PluginLID_Errors {
PluginLID_NoError = 0, PluginLID_UnimplementedFunction, PluginLID_BadContext, PluginLID_InvalidParameter,
PluginLID_NoSuchDevice, PluginLID_DeviceOpenFailed, PluginLID_UsesSoundChannel, PluginLID_DeviceNotOpen,
PluginLID_NoSuchLine, PluginLID_OperationNotAllowed, PluginLID_NoMoreNames, PluginLID_BufferTooSmall,
PluginLID_UnsupportedMediaFormat, PluginLID_NoDialTone, PluginLID_LineBusy, PluginLID_NoAnswer,
PluginLID_Aborted, PluginLID_InternalError, PluginLID_NumErrors
}

enum | PluginLID_CallProgressTones { PluginLID_NoTone = 0x00, PluginLID_DialTone = 0x01, PluginLID_RingTone = 0x02, PluginLID_BusyTone = 0x04, PluginLID_FastBusyTone = 0x08, PluginLID_ClearTone = 0x10, PluginLID_CNGTone = 0x20, PluginLID_MwiTone = 0x40, PluginLID_AllTones = 0x4f }

## Define Documentation

#define FALSE 0

#define PLUGIN_DLL_API

#define PLUGIN_LID_API_VER_FN PWLibPlugin_GetAPIVersion

#define PLUGIN_LID_API_VER_FN_STR "PWLibPlugin_GetAPIVersion"

#define PLUGIN_LID_GET_LIDS_FN OpalPluginLID_GetDefinitions

#define PLUGIN_LID_GET_LIDS_FN_STR "OpalPluginLID_GetDefinitions"

#define PLUGIN_LID_IMPLEMENTATION | ( | defs |  | ) |

Value:

    extern "C" { \
        PLUGIN_DLL_API unsigned int PLUGIN_LID_API_VER_FN() { return PWLIB_PLUGIN_API_VERSION; } \
        PLUGIN_DLL_API PluginLID_Definition * PLUGIN_LID_GET_LIDS_FN(unsigned * count, unsigned version) \
          { *count = sizeof(defs)/sizeof(defs[0]); return defs; } \
      }

#define PLUGIN_LID_VERSION 1

#define PWLIB_PLUGIN_API_VERSION 1

#define TRUE 1

## Typedef Documentation

typedef int PluginLID_Boolean

typedef struct PluginLID_Definition*(* ) PluginLID_GetDefinitionsFunction(unsigned *, unsigned)

## Enumeration Type Documentation

enum PluginLID_CallProgressTones

Enumerator:

  PluginLID_NoTone |
  PluginLID_DialTone |
  PluginLID_RingTone |
  PluginLID_BusyTone |
  PluginLID_FastBusyTone |
  PluginLID_ClearTone |
  PluginLID_CNGTone |
  PluginLID_MwiTone |
  PluginLID_AllTones |

enum PluginLID_Errors

Enumerator:

  PluginLID_NoError |
  PluginLID_UnimplementedFunction |
  PluginLID_BadContext |
  PluginLID_InvalidParameter |
  PluginLID_NoSuchDevice |
  PluginLID_DeviceOpenFailed |
  PluginLID_UsesSoundChannel |
  PluginLID_DeviceNotOpen |
  PluginLID_NoSuchLine |
  PluginLID_OperationNotAllowed |
  PluginLID_NoMoreNames |
  PluginLID_BufferTooSmall |
  PluginLID_UnsupportedMediaFormat |
  PluginLID_NoDialTone |
  PluginLID_LineBusy |
  PluginLID_NoAnswer |
  PluginLID_Aborted |
  PluginLID_InternalError |
  PluginLID_NumErrors |